#ifndef INCLUDED_snow_types_SystemEvents
#define INCLUDED_snow_types_SystemEvents

#ifndef HXCPP_H
#include <hxcpp.h>
#endif

HX_DECLARE_CLASS2(snow,types,SystemEventType)
HX_DECLARE_CLASS2(snow,types,SystemEvents)
namespace snow{
namespace types{


class HXCPP_CLASS_ATTRIBUTES  SystemEvents_obj : public hx::Object{
	public:
		typedef hx::Object super;
		typedef SystemEvents_obj OBJ_;
		SystemEvents_obj();
		Void __construct();

	public:
		inline void *operator new( size_t inSize, bool inContainer=false)
			{ return hx::Object::operator new(inSize,inContainer); }
		static hx::ObjectPtr< SystemEvents_obj > __new();
		static Dynamic __CreateEmpty();
		static Dynamic __Create(hx::DynamicArray inArgs);
		//~SystemEvents_obj();

		HX_DO_RTTI;
		static void __boot();
		static void __register();
		::String __ToString() const { return HX_CSTRING("SystemEvents"); }

		static int se_unknown;
		static int se_init;
		static int se_ready;
		static int se_update;
		static int se_shutdown;
		static int se_window;
		static int se_input;
		static int se_quit;
		static int se_app_terminating;
		static int se_app_lowmemory;
		static int se_app_willenterbackground;
		static int se_app_didenterbackground;
		static int se_app_willenterforeground;
		static int se_app_didenterforeground;
		static int se_file;
		static ::snow::types::SystemEventType typed( int type);
		static Dynamic typed_dyn();

};

} // end namespace snow
} // end namespace types

#endif /* INCLUDED_snow_types_SystemEvents */ 
